summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-linked-scripts
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2011-05-24 18:10:21 +0000
committerKarl Berry <karl@freefriends.org>2011-05-24 18:10:21 +0000
commitf18c432c76b177aa9357e97d3858a1ed0e8fb406 (patch)
tree45a820ec9a8acdea56c9b1eae73145e876008d3e /Master/tlpkg/bin/tl-update-linked-scripts
parent675036f57c43775c80c422e4249e6d4f9a1655a3 (diff)
try diff + cp
git-svn-id: svn://tug.org/texlive/trunk@22603 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-linked-scripts')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-linked-scripts12
1 files changed, 10 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/tl-update-linked-scripts b/Master/tlpkg/bin/tl-update-linked-scripts
index 3a8fca6361a..8f9a5b2ef44 100755
--- a/Master/tlpkg/bin/tl-update-linked-scripts
+++ b/Master/tlpkg/bin/tl-update-linked-scripts
@@ -2,7 +2,8 @@
# $Id$
# Public domain. Originally written 2011, Peter Breitenlohner.
#
-# This script updates the linked scripts under Build.
+# This script updates the linked scripts under Build
+# (but doesn't commit anything).
mydir=`cd \`dirname $0\` && pwd`
Master=`cd $mydir/../.. && pwd`
@@ -19,10 +20,17 @@ compare_and_copy () {
Src=$Master/$1/scripts
shift
for file in $@; do
+ #echo "comparing $Src/$file to $Dest..."
cmp -s $Src/$file $Dest/$file && continue
echo "updating $Src/$file -> $Dest/$file"
- svn delete --force $Dest/$file && svn copy $Src/$file $Dest/$file || exit 1
+ diff -u0 $Src/$file $Dest/$file
cp $Src/$file $Dest/$file
+
+ # simpler/clearer history to just update?
+ #svn delete --force $Dest/$file && svn copy $Src/$file $Dest/$file || exit 1
+
+ # keyword expansion should be off in $Dest, so this shouldn't be needed:
+ #cp $Src/$file $Dest/$file
done
}